Page 1 of 1

Scenery Editor ver.20090426

Posted: Sun Aug 13, 2017 6:55 pm
by NajmiCreative
if anyone searching old stable Scenery Editor (which compatible with YSF 2011 and 2013)
I have the stable 2009 version which often used
(if anyone had test version before 2011 you guys could post here as well)
Download Here

Re: Scenery Editor ver.20090426

Posted: Sat Mar 09, 2019 6:02 am
by Grigor
Has there been a stable version since the 2009 one? Or is it just the 20140909 test version? The 2009 won't open newer FLDs with BASEELEV keywords and such. Looking for anything on the YSFlight official site only lead to confusion. Perhaps someone could paste links to other versions (if they exist) here?

Re: Scenery Editor ver.20090426

Posted: Sun Mar 10, 2019 10:35 am
by u2fly
Grigor wrote:
Sat Mar 09, 2019 6:02 am
Has there been a stable version since the 2009 one? Or is it just the 20140909 test version? The 2009 won't open newer FLDs with BASEELEV keywords and such. Looking for anything on the YSFlight official site only lead to confusion. Perhaps someone could paste links to other versions (if they exist) here?
There NO new stable versions since Scenery Editor 20090426, BUT there is new test version Scenery Editor 20180704:

Re: Scenery Editor ver.20090426

Posted: Tue Mar 12, 2019 5:23 am
by Grigor
Or maybe I need a way to translate the newer FLD files (those with keywords like BASEELV and MAGVAR) back to 2009 compatibility. There must be other factors also, which escape me... Simply trying to manually remove any spurious keywords only leads to the FLD file not working at all. Saving anything in the 20140909 test version also just seems to wreck things, it won't even save new start positions. Unless I'm doing something wrong? Is anyone actually using these new features, or is it just another of Soji's unnecessary experiments complicating things?

Re: Scenery Editor ver.20090426

Posted: Tue Mar 12, 2019 11:15 am
by decaff_42
The two variables you call out do impact the altitude and compass headings in-game.

Re: Scenery Editor ver.20090426

Posted: Tue Mar 12, 2019 7:48 pm
by waspe414
To convert back from test version to 2009 version, you have to remove AIRROUTEs (AI flight paths), SPEC (reflective elevation grids), GNDSPECULAR (reflective ground), BASEELV (changes ground height), MAGVAR (changes compass heading relative to ground), CANRESUME (allows resuming flight after death, I assume), and any embedded images. Old versions of YS (back to 2011) don't care about the headers, but throw errors with SPEC and GNDSPECULAR, and may have issues with air routes. Not sure if Scenedit is the same or has issues with all the new variables.

Re: Scenery Editor ver.20090426

Posted: Wed Mar 13, 2019 5:10 am
by Grigor
Big thanks for the info! May end up writing a script to do this automatically.